// package programs;

import AST.Start;
import java.io.File;
import java.io.PrintStream;

public class GenCompiler extends Parser {
	public static void main(String args[]) {
		Start ast = parse(args);

		// Dump the AST
// 		ast.dumpTree("  ", System.out);


		File siarasDir = new File("siaras");
		if (!siarasDir.isDirectory()) {
			siarasDir.mkdir();
		}

		try {
			PrintStream absGrammarStream = new PrintStream(new File("siaras/Siaras.ast"));
			ast.genAbsGrammar(absGrammarStream);
		} catch (java.io.FileNotFoundException e) {
			System.out.println("Could not create file for generated abstract grammar");
			e.printStackTrace();
		}
		try {
			PrintStream javaCCStream = new PrintStream(new File("siaras/Siaras.jjt"));
			ast.genJavaCC(javaCCStream);
		} catch (java.io.FileNotFoundException e) {
			System.out.println("Could not create file for generated JavaCC grammar");
			e.printStackTrace();
		}
	}
}
